« Up

tarski-geometry 8.7.0 Not compatible

(2019-10-05 07:30:19 UTC)

Context

# Packages matching: installed
# Name              # Installed # Synopsis
base-bigarray       base
base-num            base        Num library distributed with the OCaml compiler
base-threads        base
base-unix           base
camlp5              7.10        Preprocessor-pretty-printer of OCaml
conf-m4             1           Virtual package relying on m4
coq                 8.8.1       Formal proof management system.
num                 0           The Num library for arbitrary-precision integer and rational arithmetic
ocaml               4.05.0      The OCaml compiler (virtual package)
ocaml-base-compiler 4.05.0      Official 4.05.0 release
ocaml-config        1           OCaml Switch Configuration
ocamlfind           1.8.1       A library manager for OCaml
# opam file:
opam-version: "2.0"
maintainer: "Hugo.Herbelin@inria.fr"
homepage: "https://github.com/coq-contribs/tarski-geometry"
license: "GPL"
build: [make "-j%{jobs}%"]
install: [make "install"]
remove: ["rm" "-R" "%{lib}%/coq/user-contrib/TarskiGeometry"]
depends: [
  "ocaml"
  "coq" {>= "8.7" & < "8.8~"}
]
tags: [ "keyword: geometry" "keyword: Tarski's geometry" "keyword: congruence" "keyword: between property" "keyword: orthogonality" "category: Mathematics/Geometry/General" "date: 2006-03" ]
authors: [ "Julien Narboux <Julien.Narboux@dpt-info.u-strasbg.fr> [http://dpt-info.u-strasbg.fr/~narboux/]" ]
bug-reports: "https://github.com/coq-contribs/tarski-geometry/issues"
dev-repo: "git+https://github.com/coq-contribs/tarski-geometry.git"
synopsis: "Tarski's geometry"
description: """
http://dpt-info.u-strasbg.fr/~narboux/tarski.html
This is a formalization of geometry using a simplified version of Tarski's axiom system. The development contains a formalization of the chapters 1-8 of the book "Metamathematische Methoden in der Geometrie" by W. Schwabhäuser, W. Szmielew and A. Tarski.
This includes between properties, congruence properties,
  midpoint, perpendicular lines, point reflection, orthogonality ...
This development aims to be a low level complement for Frédérique Guilhot's development about high-school geometry.
For more information see:
Mechanical Theorem Proving in Tarski's geometry in the post-proceeding of ADG 2006, F. Botana and T. Recio (Eds.), LNAI 4869, pages 139-156, 2007."""
flags: light-uninstall
url {
  src:
    "https://github.com/coq-contribs/tarski-geometry/archive/v8.7.0.tar.gz"
  checksum: "md5=e7ef6439d7b26dbeb3dea11929f1e536"
}

Lint

Command
true
Return code
0

Dry install

Dry install with the current Coq version:

Command
opam install -y --show-action coq-tarski-geometry.8.7.0 coq.8.8.1
Return code
5120
Output
[NOTE] Package coq is already installed (current version is 8.8.1).
The following dependencies couldn't be met:
  - coq-tarski-geometry -> coq < 8.8~ -> ocaml < 4.03.0
      base of this switch (use `--unlock-base' to force)
Your request can't be satisfied:
  - No available version of coq satisfies the constraints
No solution found, exiting

Dry install without Coq/switch base, to test if the problem was incompatibility with the current Coq/OCaml version:

Command
opam remove -y coq; opam install -y --show-action --unlock-base coq-tarski-geometry.8.7.0
Return code
0

Install dependencies

Command
true
Return code
0
Duration
0 s

Install

Command
true
Return code
0
Duration
0 s

Installation size

No files were installed.

Uninstall

Command
true
Return code
0
Missing removes
none
Wrong removes
none